View Issue Details

IDProjectCategoryView StatusLast Update
0011320mantisbtadministrationpublic2014-12-08 00:34
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.0rc2 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011320: Provide a way to disable the raw configuration management
Description

The raw configuration management by setting confirmation options into the database requires users to be trusted. There are several issues with the current implementation:

  1. The configuration options are not documented in the docbook.

  2. The read/write access check is based on the global access, where the read access is based on the specific project. It makes sense to have both based on the global access.

  3. If the view configuration is disabled, the whole 'Manage Configuration' menu is removed rather than just the configuration option associated with the raw configuration.

  4. If the logged in user doesn't have a read/write access, the "Delete" button for deleting specific configuration entries was not removed.
TagsNo tags attached.

Relationships

child of 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036520

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master fce04e65

2010-01-04 07:30:01

vboctor

Details Diff
Fixes 0011320: Provide a way to disable the raw configuration management.
mod - adm_config_report.php Diff File
mod - config_defaults_inc.php Diff File
mod - adm_config_delete.php Diff File
mod - docbook/adminguide/en/configuration.sgml Diff File
mod - adm_config_set.php Diff File
mod - core/html_api.php Diff File
mod - adm_permissions_report.php Diff File

Issue History

Date Modified Username Field Change
2010-01-04 02:29 vboctor New Issue
2010-01-04 02:29 vboctor Status new => assigned
2010-01-04 02:29 vboctor Assigned To => vboctor
2010-01-04 02:40 vboctor Resolution open => fixed
2010-01-04 02:40 vboctor Fixed in Version => 1.3.0-beta.1
2010-01-04 02:40 vboctor Changeset attached master fce04e65 =>
2010-01-04 02:40 vboctor Status assigned => resolved
2010-04-23 23:22 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036520
2013-04-05 18:01 grangeway Relationship added child of 0015721
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-04-27 17:54 atrol Target Version => 1.3.0-beta.1
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed